package com.lz.modules.sys.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

@Data
@TableName("lz_resource")
@ApiModel(value = "资源配置及业务配置表，针对一些会变更的配置，如白名单配置、客服电话等或者是某些数据量很少的业务数据，如首页bannel、 /* comment truncated */ /*首页广告位等数据*/")
public class Resource implements java.io.Serializable {
    //主键，自增id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除状态，1：删除，0：有效
    @ApiModelProperty(value = "是否删除状态，1：删除，0：有效", name = "isDelete")
    private Integer isDelete;
    //创建时间
    @ApiModelProperty(value = "创建时间", name = "gmtCreate")
    private Date gmtCreate;
    //最后修改时间
    @ApiModelProperty(value = "最后修改时间", name = "gmtModified")
    private Date gmtModified;
    //创建人
    @ApiModelProperty(value = "创建人", name = "creator")
    private String creator;
    //最后修改人
    @ApiModelProperty(value = "最后修改人", name = "modifier")
    private String modifier;
    //配置类型，S:系统配置,B:业务配置
    @ApiModelProperty(value = "配置类型，S:系统配置,B:业务配置", name = "dataType")
    private String dataType;
    //配置类型，即配置的KEY，用于定位配置；所有字母大写，多个字母中间用下划线“_”分割；如：用户白名单类型USER_WHITE_LIST
    @ApiModelProperty(value = "配置类型，即配置的KEY，用于定位配置；所有字母大写，多个字母中间用下划线“_”分割；如：用户白名单类型USER_WHITE_LIST", name = "type")
    private String type;
    //类型，可针对某一类型的配置做分类
    @ApiModelProperty(value = "类型，可针对某一类型的配置做分类", name = "secType")
    private String secType;
    //配置类型描述，如针对TYPE=USER_WHITE_LIST该值可描述为：用户白名单列表
    @ApiModelProperty(value = "配置类型描述，如针对TYPE=USER_WHITE_LIST该值可描述为：用户白名单列表", name = "typeDesc")
    private String typeDesc;
    //名称
    @ApiModelProperty(value = "名称", name = "name")
    private String name;
    //值
    @ApiModelProperty(value = "值", name = "value")
    private String value;
    //描述
    @ApiModelProperty(value = "描述", name = "description")
    private String description;
    //扩展值1
    @ApiModelProperty(value = "扩展值1", name = "value1")
    private String value1;
    //扩展值2
    @ApiModelProperty(value = "扩展值2", name = "value2")
    private String value2;
    //扩展值3
    @ApiModelProperty(value = "扩展值3", name = "value3")
    private String value3;
    //扩展值4
    @ApiModelProperty(value = "扩展值4", name = "value4")
    private String value4;
    //排序
    @ApiModelProperty(value = "排序", name = "sort")
    private Long sort;
    /**
     * 主键，自增id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键，自增id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 创建人 
     * @return
     */
    public String getCreator() {
        return creator;
    }
    /**
     * 创建人 
     * @param creator
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * 最后修改人 
     * @return
     */
    public String getModifier() {
        return modifier;
    }
    /**
     * 最后修改人 
     * @param modifier
     */
    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    /**
     * 配置类型，S:系统配置,B:业务配置 
     * @return
     */
    public String getDataType() {
        return dataType;
    }
    /**
     * 配置类型，S:系统配置,B:业务配置 
     * @param dataType
     */
    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    /**
     * 配置类型，即配置的KEY，用于定位配置；所有字母大写，多个字母中间用下划线“_”分割；如：用户白名单类型USER_WHITE_LIST 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * 配置类型，即配置的KEY，用于定位配置；所有字母大写，多个字母中间用下划线“_”分割；如：用户白名单类型USER_WHITE_LIST 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 类型，可针对某一类型的配置做分类 
     * @return
     */
    public String getSecType() {
        return secType;
    }
    /**
     * 类型，可针对某一类型的配置做分类 
     * @param secType
     */
    public void setSecType(String secType) {
        this.secType = secType;
    }

    /**
     * 配置类型描述，如针对TYPE=USER_WHITE_LIST该值可描述为：用户白名单列表 
     * @return
     */
    public String getTypeDesc() {
        return typeDesc;
    }
    /**
     * 配置类型描述，如针对TYPE=USER_WHITE_LIST该值可描述为：用户白名单列表 
     * @param typeDesc
     */
    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }

    /**
     * 名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 值 
     * @return
     */
    public String getValue() {
        return value;
    }
    /**
     * 值 
     * @param value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 描述 
     * @return
     */
    public String getDescription() {
        return description;
    }
    /**
     * 描述 
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * 扩展值1 
     * @return
     */
    public String getValue1() {
        return value1;
    }
    /**
     * 扩展值1 
     * @param value1
     */
    public void setValue1(String value1) {
        this.value1 = value1;
    }

    /**
     * 扩展值2 
     * @return
     */
    public String getValue2() {
        return value2;
    }
    /**
     * 扩展值2 
     * @param value2
     */
    public void setValue2(String value2) {
        this.value2 = value2;
    }

    /**
     * 扩展值3 
     * @return
     */
    public String getValue3() {
        return value3;
    }
    /**
     * 扩展值3 
     * @param value3
     */
    public void setValue3(String value3) {
        this.value3 = value3;
    }

    /**
     * 扩展值4 
     * @return
     */
    public String getValue4() {
        return value4;
    }
    /**
     * 扩展值4 
     * @param value4
     */
    public void setValue4(String value4) {
        this.value4 = value4;
    }

    /**
     * 排序 
     * @return
     */
    public Long getSort() {
        return sort;
    }
    /**
     * 排序 
     * @param sort
     */
    public void setSort(Long sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "Resource{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",creator=" + creator +
                ",modifier=" + modifier +
                ",dataType=" + dataType +
                ",type=" + type +
                ",secType=" + secType +
                ",typeDesc=" + typeDesc +
                ",name=" + name +
                ",value=" + value +
                ",description=" + description +
                ",value1=" + value1 +
                ",value2=" + value2 +
                ",value3=" + value3 +
                ",value4=" + value4 +
                ",sort=" + sort +
                "}";
    }
}